import type { DetailsAPI, DetailsStates, EventCallbacks, LabelPropType } from '@public-ui/schema';
import type { DisabledPropType } from '@public-ui/schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolDetails implements DetailsAPI {
    private readonly host?;
    private detailsElement?;
    private summaryElement?;
    private contentElement?;
    private readonly catchDetails;
    private readonly catchSummary;
    private readonly preventToggleIfDisabled;
    render(): JSX.Element;
    _disabled?: boolean;
    _label: LabelPropType;
    _on?: EventCallbacks;
    _open?: boolean;
    state: DetailsStates;
    validateDisabled(value?: DisabledPropType): void;
    validateLabel(value?: LabelPropType): void;
    validateOn(on?: EventCallbacks): void;
    validateOpen(value?: boolean): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    private toggleTimeout?;
    private handleToggle;
}
